#! /bin/sh
#   Keep disk use records on a per user basis
#   Paul Hyder   June 1987
#
# Modified 05/17/90 by ATK to include Sparcstation 1 systems in lab.
#
echo '/dev	' `date` >> /usr/adm/diskuse
echo Doing disk accounting `date`
# Capture daily disk use data

for System in / /usr /fs.real/alpo /export/root
do
        rsh alpo /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/altair 
do
        rsh altair /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/anywhere /fs.real/anywhere1 
do
        rsh anywhere quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/arc1 /fs.real/arc2
do
        rsh arc /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/cornu /fs.real/cornu1 /export/root
do
        rsh cornu /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /dev/rz0a /dev/rz0g /dev/rz2c /dev/rz8c /dev/rz9c /dev/rz10c /dev/rz12c /dev/rz11c
do
        rsh decfs /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/engineering1 /fs.real/engineering2 /var/spool/mail
do
        /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for RemoteSystem in /dev/rz3a /dev/rz0c /dev/rz4c /dev/rz1c
do
	rsh engrhub /usr/etc/quot $RemoteSystem >> /usr/tmp/disk.acct.$$  2>&1
	echo Quot on $RemoteSystem ended with status $?
done

for System in / /usr /fs.real/galaxy1 /fs.real/gsl
do
        rsh galaxy /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/garuda
do
        rsh garuda /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/hawaii
do
        rsh hawaii /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/hinata
do
        rsh hinata /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/horizon
do
        rsh horizon /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/hydra2
do
        rsh hydra /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr 
do
        rsh mondas /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/nimbus
do
        rsh nimbus /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/nowhere
do
        rsh nowhere /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/ops
do
        rsh ops /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /usr/orcas /usr/space /eagle /new/tmp /compsci
do
        rsh orcas /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/ops
do
        rsh ops /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/pixel5 /export/root 
do
        rsh pixel /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/rsl /export/rsl1
do
        rsh ashley /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/sequoia /fs.real/sequoia2 /export/root
do
        rsh sequoia /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / 
do
        rsh spooner /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/sulu
do
        rsh sulu /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/tangent
do
        rsh tangent /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/tcl
do
        rsh mike /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/vector
do
        rsh vector /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /fs.real/vision /fs.real/vision1 /fs.real/vision2
do
        rsh vision /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /export/root
do
        rsh yosemite /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

for System in / /usr /export/root
do
        rsh copia /usr/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
        echo Quot on $System ended with status $?
done

awk  -f /usr/engineering1/home/acct/disk.accounting/diskuse.awk /usr/tmp/disk.acct.$$ \
		>> /usr/adm/diskuse
echo Awk extract ended with status $?
# Produce a summary file for easy lookup of disk use data
awk  -f /usr/engineering1/home/acct/disk.accounting/disksum.awk /usr/adm/diskuse |\
	sort > /usr/adm/diskuse.sum
echo Awk summation ended with status $?
rm -f /usr/tmp/disk.acct.$$

