n $file" unless $return;
	X
	X$VERSION = '1.1';
	X$AUTHOR = 'tchrist@convex.com';
	X
	X$| = 1;
	X
	X#$$# $PS = "ps";			# a path to ps, usually /bin
	X#$$# $TIOCGWINSZ = 0x40087468;       	# should be require sys/ioctl.ph
	X#$$# $DEATH_STAR = 0;			# ARGS: ps -el, not ps wwaxl
	X#$$# $FLAG_WIDTH = 7;
	X#$$# $FIRST_SPLIT = '^(\s*[\da-fA-F]+)\s*([\-\d]+)\s+(\d+)\s+(\d+)';
	X
	Xdie "Didn't you run Configure?"
	X	unless 4 == grep(defined,$PS,$TIOCGWINSZ,$DEATH_STAR,$FLAG_WIDTH);
	X
	X$indent = 2;  			 # reset via -i switch
	X
	X$debug = 0;
	X
	X
	X########################################################
	X
	Xif ($DEATH_STAR) {
	X    $PS_ARGS = "-l"; 
	X    $EVERYBODY = "e";
	X} else {
	X    $PS_ARGS = "xlww";
	X    $EVERYBODY = "a";
	X}
	X
	X########################################################
	X
	X$maxlevel = 10_000_000;  # reset via -l switch
	X
	Xsub usage {
	X    local($msg) = shift;
	X    print STDERR "$0: $msg\n" if $msg;
	X    die <<EOF;
	Xusage: $0 [-a] [-d] [-w] [ps args] [pid list]
	X	    (version: $VERSION   author: $AUTHOR)
	X
	X	-w 	wide output (don't trunc at winsize)
	X	-a	all processes, not just mine
	X	-d	print out debugging information
	XEOF
	X} 
	X
	X&Getopts('dl:i:wa') || &usage();
	X
	X$maxlevel = $opt_l if $opt_l;
	X$indent = $opt_i if $opt_i;
	X$wide = $opt_w;
	X$debug = $opt_d;
	X
	Xwhile (defined($_ = shift)) {  # curse pid 0
	X    if (/^(\d+)$/) {
	X	$pids{$1}++;
	X	$pids++;  # needed for ancient perl, who can't do if %pids
	X    } else {
	X	$PS_ARGS .= "$_ ";
	X    }
	X} 
	X
	X$wide || &getwin;
	X
	X$PS_ARGS =~ s/^(-?)/${1}${EVERYBODY}/ if $pids || $opt_a;
	X
	X$ps = "$PS $PS_ARGS";
	X
	Xprint "opening pipe to $ps\n" if $debug;
	X
	Xopen(PS, "$ps |") || die "can't fork: $!";
	X<PS>; # header
	X
	Xprintf("%-8s %5s %8s %7s %s\n", 'USER', "PID", "TTY", "TIME","COMMAND");
	X
	Xwhile (<PS>) {
	X    ($flags, $uid, $pid, $ppid) = /$FIRST_SPLIT/o;
	X    ($tty, $time, $secs, $command) = /(\S+)\s*(\d+:\d+(\.\d\d)?)\s+(.*)/;
	X
	X    unless (grep(defined,$uid,$pid,$ppid,$tty,$time,$command) == 6) {
