#! /bin/sh -x
#   Keep disk use records on a per user basis
#   Paul Hyder   June 1987
#
echo '/dev	' `date` >> duse.test
echo Doing disk accounting `date`
# Capture daily disk use data
for System in / /altroot /pub /ee /tmp /usr /usr/spool /ec /mnt /eb /ea
do
	/etc/quot $System >> /usr/tmp/disk.acct.$$  2>&1
	echo Quot on $System ended with status $?
done
awk  -f /usr/local/lib/disk.accounting/diskuse.awk /usr/tmp/disk.acct.$$ \
		>> duse.test
echo Awk extract ended with status $?
# Produce a summary file for easy lookup of disk use data
awk  -f /usr/local/lib/disk.accounting/disksum.awk duse.test |\
	sort > duse.sum.test
echo Awk summation ended with status $?
echo Leaving /usr/tmp/disk.acct.$$ for inspection
