From: buboo@alf.uib.no (Ove Ruben R Olsen)
#Subject: Re: Is 'x' contained within a list
Date: Wed, 14 Oct 92 21:31:16 GMT
Organization: University of Bergen, Norway
Lines: 91

>Ideally, a function like: is_in(x,@list) would return true
>if x was in the list.

I have developed a set of functions dealing with lists. More functions 
are on the drawing board.  They are wery sparse and have limited error 
checking, but they work for _my current task_. Someday I may rewrite 
them to suit a package.
BEWARE: They are not wery portable. Nor written to suit everyone except
	my current task. Optimizing should be done.

################################################################################
#
# Array support functions | arry | arrays
#
# Copyright Ove Ruben R Olsen (C) 1992.
# Email: Ruben@UiB.No
#
# Public Domain. The author is NOT responsible for any damange this  functions
# may cause on your system.
#
# *Arry ($match,@ARRAY);
#
################################################################################

sub NumArry { # Return the items place in the array.
  $ende = -1 ;
  $junk = shift (@_);
  for $a ($[..$#_) {
    $ende = $a,last if (@_[$a] =~ /$junk/i) ;
  }
  $ende ;
}

sub AddArry { # Add item to arry if item not in arry
  $junk = shift (@_);
  $a = 1  ;
  for (@_) {
    $a = 0, last if ($_ =~ /$junk/i) ;
  }
  push (@_,$junk) if ($a);
  @_ ;
}

sub NextArry { # Return next item in arry, 1st item if last.
  $junk = shift (@_);
  $a = 0 ;
  for (@_) {
    last if ($_ =~ /$junk/i) ;
    $a ++ ;
  }
  $a ++ ;
  $a = 0 if ($a > $#_)  ;
  @_[$a] ;
}

sub FindArry { # Return propper item if item in arry ;
  $junk = shift (@_);
  $a = '';
  for (@_) {
    $a = $_ , last if ($_ =~ /$junk/i) ;
  }
  $a ;
}

sub LightArry { # Highlight item, return string.
  $junk = shift (@_);
  $a = '' ;
  for (@_) {
    $a = "$a [$_]", next if ($_ =~ /$junk/i) ;
    $a = "$a $_";
  }
  $a ;
}

sub DelArry { # Delete item, return new arry.
  $junk = shift (@_);
  @TMP = () ;
  for (@_) {
    next if ($_ =~ /$junk/i) ;
    push (@TMP,$_);
  }
  @TMP ;
}
